Skip to content

Get device historical telemetry data

GET
/devices/{deviceId}/historicalData

Return device telemetry history within a 30-day time range.

Authorizations

AccessToken
Type
HTTP (bearer)

Parameters

Path Parameters

deviceId*

Device ID

Type
string
Required

Query Parameters

startTime*

Start time (ISO 8601 format, UTC)

Type
string
Required
Format
"date-time"
endTime*

End time (ISO 8601 format, UTC), maximum 30 days query

Type
string
Required
Format
"date-time"
page

Page number

Type
integer
Default
1
Minimum
1
size

Items per page

Type
integer
Default
20
Minimum
1
Maximum
500

Responses

Device historical telemetry data returned successfully

application/json
object

Device historical telemetry data (multiple records)

Format"date-time"
Format"date-time"
object[]

Playground

Authorization
Variables
Key
Value